# __gnu_cxx::random_condition Struct Reference

Base class for random probability control and throw. More...

Inheritance diagram for __gnu_cxx::random_condition:
[legend]

List of all members.

## Classes

- struct always_adjustor
    Always enter the condition. More...
- struct group_adjustor
    Group condition. More...
- struct never_adjustor
    Never enter the condition. More...

## Public Member Functions

- void seed (unsigned long __s)

## Static Public Member Functions

- static void set_probability (double __p)
- static void throw_conditionally ()

## Detailed Description

Base class for random probability control and throw.

Definition at line 334 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h